---
title: StylePropertyMap.set()
slug: Web/API/StylePropertyMap/set
tags:
  - API
  - CSS Typed Object Model API
  - Houdini
  - Method
  - Reference
  - StylePropertyMap
  - set()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>set()</code></strong> method of the {{domxref("StylePropertyMap")}} interface changes the CSS declaration with the given property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">StylePropertyMap.set(<var>property</var>,<var>value<var>)</var></var></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>property</dt>
 <dd>An identifier indicating the stylistic feature (e.g. font, width, background color) to change.</dd>
 <dt>value</dt>
 <dd>The value the given property should have.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref('undefined')}}</p>

<h2 id="Example">Example</h2>

<p>This example sets the {{cssxref('padding-top')}} property, with the given value, within the element's <a href="/en-US/docs/Web/HTML/Global_attributes/style">style attribute</a>.</p>

<pre class="brush: js notranslate">// get the button element
const buttonEl = document.querySelector('button');

// set padding-top on button style attribute
buttonEl.attributeStyleMap.set('padding-top', CSS.px(10));
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-stylepropertymap-set','set()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMap.set")}}</p>
